PUTapi.synup.com/api/v4/social/brands/{brandId}
Assign a user to a single brand
Requires an API key. Send it as
Authorization: API <your-key> — see Getting started.Parameters
Path
| Name | Type | Required | Description |
|---|---|---|---|
brandId | string | required |
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Content-Type | string | required |
Body
| Name | Type | Required | Description |
|---|---|---|---|
input | object | required | |
input.userId | string | required |
Request
Request
curl -X PUT 'https://api.synup.com/api/v4/social/brands/:brandId' \
-H 'Authorization: API YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"input": {
"userId": "{userId}"
}
}'const res = await fetch('https://api.synup.com/api/v4/social/brands/:brandId', {
method: 'PUT',
headers: {
Authorization: 'API YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"input": {
"userId": "{userId}"
}
}),
});
const data = await res.json();import requests
res = requests.put(
"https://api.synup.com/api/v4/social/brands/:brandId",
headers={
"Authorization": "API YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"input": {
"userId": "{userId}"
}
},
)
data = res.json()req, _ := http.NewRequest("PUT", "https://api.synup.com/api/v4/social/brands/:brandId", bytes.NewBufferString(payload))
req.Header.Set("Authorization", "API YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)Responses
| Status | Description |
|---|---|
200 |
Example response (generated from the schema)
{}